Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jmeter.visualizers
Class RequestViewRaw

    java.lang.Object
      org.apache.jmeter.visualizers.RequestViewRaw

All Implemented Interfaces:
  RequestView

    public class RequestViewRaw

extends Object
implements RequestView

(historical) Panel to view request data

Constructor Summary
`RequestViewRaw()`

Method Summary
`void` | `clearData()` Clear all data in panel
`String` | `getLabel()` Get the label.
`JPanel` | `getPanel()` Get the panel
`void` | `init()` request pane content
`void` | `setSamplerResult(Object objectResult)` Put the result bean to display in panel

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RequestViewRaw

    public RequestViewRaw()

Method Detail

### init

    public void init()

  request pane content

  Specified by:
    `init` in interface `RequestView`

### clearData

    public void clearData()

  Description copied from interface: `RequestView`
  Clear all data in panel

  Specified by:
    `clearData` in interface `RequestView`

### setSamplerResult

    public void setSamplerResult(Object objectResult)

  Description copied from interface: `RequestView`
  Put the result bean to display in panel

  Specified by:
    `setSamplerResult` in interface `RequestView`
  Parameters:
    `objectResult` - result to display

### getPanel

    public JPanel getPanel()

  Description copied from interface: `RequestView`
  Get the panel

  Specified by:
    `getPanel` in interface `RequestView`
  Returns:
    the panel viewer

### getLabel

    public String getLabel()

  Description copied from interface: `RequestView`
  Get the label. Use as name for bottom tab

  Specified by:
    `getLabel` in interface `RequestView`
  Returns:
    the label's panel

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2012 Apache Software Foundation. All Rights Reserved.